# Signature

open class Signature : AbstractPublishArtifact

A digital signature file artifact.

A signature file is always generated from another file, which may be a PublishArtifact.

## Constructors

Signature
Link copied to clipboard
constructor(toSign: PublishArtifact, signatureSpec: SignatureSpec, tasks: Array<Any>)
Creates a signature artifact for the given public artifact.
constructor(toSign: File, signatureSpec: SignatureSpec, tasks: Array<Any>)
Creates a signature artifact for the given file.
constructor(toSign: File, classifier: String, signatureSpec: SignatureSpec, tasks: Array<Any>)
Creates a signature artifact for the given file, with the given classifier.
constructor(toSign: Closure<File>, classifier: Closure<String>, signatureSpec: SignatureSpec, tasks: Array<Any>)
Creates a signature artifact for the file returned by the `toSign` closure.
constructor(toSign: Callable<File>, classifier: Callable<String>, signatureSpec: SignatureSpec, tasks: Array<Any>)
Creates a signature artifact for the file returned by the `toSign` closure.

## Types

Generator
Link copied to clipboard
@Incubating
open class Generator
Configuration-cache compatible signature generator.

## Properties

classifier
Link copied to clipboard
@get:Internal
open var classifier: String
The classifier of the signature artifact.
date
Link copied to clipboard
@get:Internal
open var date: Date
The date of the signature artifact.
extension
Link copied to clipboard
@get:Internal
open var extension: String
The extension of the signature artifact.
name
Link copied to clipboard
@get:Internal
open var name: String
The name of the signature artifact.
signatureSpec
Link copied to clipboard
@get:Internal
open var signatureSpec: SignatureSpec
The specification of how to generate the signature.
type
Link copied to clipboard
@get:Internal
open var type: String
The type of the signature artifact.

## Functions

builtBy
Link copied to clipboard
open fun builtBy(tasks: Array<Any>): AbstractPublishArtifact
generate
Link copied to clipboard
open fun generate()
Generates the signature file.
getBuildDependencies
Link copied to clipboard
@Internal
open fun getBuildDependencies(): TaskDependency
getClassifier
Link copied to clipboard
abstract fun getClassifier(): @Nullable String
getDate
Link copied to clipboard
abstract fun getDate(): @Nullable Date
getExtension
Link copied to clipboard
abstract fun getExtension(): String
getFile
Link copied to clipboard
@OutputFile
open fun getFile(): File
The file for the generated signature, which may not yet exist.
getName
Link copied to clipboard
abstract fun getName(): String
getSignatory
Link copied to clipboard
@Internal(value = "already tracked as part of the Sign task")
open fun getSignatory(): Signatory
The signatory of this signature file.
getSignatureType
Link copied to clipboard
@Internal(value = "already tracked as part of the Sign task")
open fun getSignatureType(): SignatureType
The file representation type of the signature.
getToSign
Link copied to clipboard
@PathSensitive(value = PathSensitivity.NONE)
@InputFile
open fun getToSign(): File
The file that is to be signed.
getType
Link copied to clipboard
abstract fun getType(): String
shouldBePublished
Link copied to clipboard
open fun shouldBePublished(): Boolean
toString
Link copied to clipboard
open fun toString(): String